#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp-test
version:              0.14.1.0
visibility:           public
id:                   lsp-test-0.14.1.0-1EkDqILJRKEDrAhkn0PISL
key:                  lsp-test-0.14.1.0-1EkDqILJRKEDrAhkn0PISL
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  87a30fe2c32ca5a4536dc467405df74d
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.6.0.1-lp9XMZ3AUG4Fzvl6ZAnY2:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-lp9XMZ3AUG4Fzvl6ZAnY2:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-test-0.14.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-test-0.14.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-test-0.14.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-test
hs-libraries:         HSlsp-test-0.14.1.0-1EkDqILJRKEDrAhkn0PISL
depends:
    Diff-0.4.1-94wHByfojTDaWJlRbLpnx Glob-0.10.2-EuwNl6auLfF2yBtICGqk0s
    aeson-2.1.2.1-LDBL5bcX1HC79scYyh3opi
    aeson-pretty-0.8.10-EmnmwX6oqUJE4ELkQEWzze
    ansi-terminal-1.0.2-6TxOAUbfOQrDbPnWIRhRhS
    async-2.2.5-Bvi1zpNsskKJCX9LRr76t3 base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.5-Djb1wO4jHuy9uKuFwZyOcU
    conduit-1.3.6.1-AL3EmwxQHuQ1mZT9WLAkFR
    conduit-parse-0.2.1.1-8kB4xajjOzhIgfiF7jX3SA containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi directory-1.3.7.1
    exceptions-0.10.5 filepath-1.4.2.2
    lens-5.2.3-CV81uxSR0PiAcO8XtynZEb
    lsp-1.6.0.0-KkAghWQ0BKUEqGKLNhvLs1
    lsp-types-1.6.0.1-lp9XMZ3AUG4Fzvl6ZAnY2 mtl-2.2.2
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav process-1.6.18.0
    some-1.0.5-36xIADGNqiWGv9lC459cQD text-2.0.2 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unordered-containers-0.2.20-2kG5VEC3Gy42AwINT9WJ9w

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

